diff --git a/mythtv/i18n/mythfrontend_el.ts b/mythtv/i18n/mythfrontend_el.ts
index 0a62aa3..d99a479 100644
--- a/mythtv/i18n/mythfrontend_el.ts
+++ b/mythtv/i18n/mythfrontend_el.ts
@@ -18853,12 +18924,12 @@ Your grabber does not provide channel numbers, so you have to set them manually.
         <translation>Η Κάρτα %1 (τύπου %2) έχει ρυθμιστεί να ξεκινάει από το κανάλι %3, το οποίο δεν υπάρχει.</translation>
     </message>
     <message>
-        <location filename="../programs/mythtv-setup/importicons.cpp" line="634"/>
+        <location filename="../programs/mythtv-setup/importicons.cpp" line="633"/>
         <source>Searching for icons for channel %1</source>
         <translation>Ψάχνω εικονίδια για το κανάλι %1</translation>
     </message>
     <message>
-        <location filename="../programs/mythtv-setup/main.cpp" line="518"/>
+        <location filename="../programs/mythtv-setup/main.cpp" line="517"/>
         <source>MythTV Setup</source>
         <translation>Ρύθμιση MythTV</translation>
     </message>
@@ -18916,153 +18987,153 @@ Your grabber does not provide channel numbers, so you have to set them manually.
         <translation>Τύπος κάρτας</translation>
     </message>
     <message>
-        <location filename="../libs/libmythtv/recordingprofile.h" line="66"/>
+        <location filename="../libs/libmythtv/recordingprofile.h" line="67"/>
         <source>Profile name</source>
         <translation>Όνομα προτύπου</translation>
     </message>
     <message>
-        <location filename="../libs/libmythtv/videoouttypes.h" line="123"/>
+        <location filename="../libs/libmythtv/videoouttypes.h" line="127"/>
         <source>No 3D</source>
         <translation>Χωρίς 3D</translation>
     </message>
     <message>
-        <location filename="../libs/libmythtv/videoouttypes.h" line="125"/>
+        <location filename="../libs/libmythtv/videoouttypes.h" line="129"/>
         <source>3D Side by Side</source>
         <translation>3D Δίπλα Δίπλα</translation>
     </message>
     <message>
-        <location filename="../libs/libmythtv/videoouttypes.h" line="127"/>
+        <location filename="../libs/libmythtv/videoouttypes.h" line="131"/>
         <source>Discard 3D Side by Side</source>
         <translation>Ακύρωση 3D Δίπλα Δίπλα</translation>
     </message>
     <message>
-        <location filename="../libs/libmythtv/videoouttypes.h" line="129"/>
+        <location filename="../libs/libmythtv/videoouttypes.h" line="133"/>
         <source>3D Top and Bottom</source>
         <translation>3D Πάνω και Κάτω</translation>
     </message>
     <message>
-        <location filename="../libs/libmythtv/videoouttypes.h" line="131"/>
+        <location filename="../libs/libmythtv/videoouttypes.h" line="135"/>
         <source>Discard 3D Top and Bottom</source>
         <translation>Ακύρωση 3D Πάνω και Κάτω</translation>
     </message>
     <message>
-        <location filename="../libs/libmythtv/videoouttypes.h" line="160"/>
+        <location filename="../libs/libmythtv/videoouttypes.h" line="164"/>
         <source>Ignore</source>
         <translation>Αγνόησε</translation>
     </message>
     <message>
-        <location filename="../libs/libmythtv/videoouttypes.h" line="162"/>
+        <location filename="../libs/libmythtv/videoouttypes.h" line="166"/>
         <source>Detect</source>
         <translation>Εντοπισμός</translation>
     </message>
     <message>
-        <location filename="../libs/libmythtv/videoouttypes.h" line="165"/>
-        <location filename="../libs/libmythtv/videoouttypes.h" line="171"/>
+        <location filename="../libs/libmythtv/videoouttypes.h" line="169"/>
+        <location filename="../libs/libmythtv/videoouttypes.h" line="175"/>
         <source>Interlaced</source>
         <translation>Πεπλεγμένη</translation>
     </message>
     <message>
-        <location filename="../libs/libmythtv/videoouttypes.h" line="167"/>
+        <location filename="../libs/libmythtv/videoouttypes.h" line="171"/>
         <source>Interlaced (Normal)</source>
         <translation>Πεπλεγμένο (Κανονικό)</translation>
     </message>
     <message>
-        <location filename="../libs/libmythtv/videoouttypes.h" line="173"/>
+        <location filename="../libs/libmythtv/videoouttypes.h" line="177"/>
         <source>Interlaced (Reversed)</source>
         <translation>Πεπλεγμένο (Αντιστραμμένο)</translation>
     </message>
     <message>
-        <location filename="../libs/libmythtv/videoouttypes.h" line="176"/>
+        <location filename="../libs/libmythtv/videoouttypes.h" line="180"/>
         <source>Progressive</source>
         <translation>Προοδευτικό</translation>
     </message>
     <message>
-        <location filename="../libs/libmythtv/videoouttypes.h" line="190"/>
+        <location filename="../libs/libmythtv/videoouttypes.h" line="194"/>
         <source>Top Left</source>
         <translation>Πάνω Αριστερά</translation>
     </message>
     <message>
-        <location filename="../libs/libmythtv/videoouttypes.h" line="191"/>
+        <location filename="../libs/libmythtv/videoouttypes.h" line="195"/>
         <source>Bottom Left</source>
         <translation>Κάτω Αριστερά</translation>
     </message>
     <message>
-        <location filename="../libs/libmythtv/videoouttypes.h" line="192"/>
+        <location filename="../libs/libmythtv/videoouttypes.h" line="196"/>
         <source>Top Right</source>
         <translation>Πάνω Δεξιά</translation>
     </message>
     <message>
-        <location filename="../libs/libmythtv/videoouttypes.h" line="193"/>
+        <location filename="../libs/libmythtv/videoouttypes.h" line="197"/>
         <source>Bottom Right</source>
         <translation>Κάτω Δεξιά</translation>
     </message>
     <message>
-        <location filename="../libs/libmythtv/videoouttypes.h" line="207"/>
+        <location filename="../libs/libmythtv/videoouttypes.h" line="211"/>
         <source>14:9</source>
         <translation>14:9</translation>
     </message>
     <message>
-        <location filename="../libs/libmythtv/videoouttypes.h" line="209"/>
+        <location filename="../libs/libmythtv/videoouttypes.h" line="213"/>
         <source>2.35:1</source>
         <translation>2.35:1</translation>
     </message>
     <message>
-        <location filename="../libs/libmythtv/videoouttypes.h" line="221"/>
+        <location filename="../libs/libmythtv/videoouttypes.h" line="225"/>
         <source>Black</source>
         <translation>Μαύρο</translation>
     </message>
     <message>
-        <location filename="../libs/libmythtv/videoouttypes.h" line="224"/>
+        <location filename="../libs/libmythtv/videoouttypes.h" line="228"/>
         <source>Gray</source>
         <translation>Γκρι</translation>
     </message>
     <message>
-        <location filename="../libs/libmythtv/videoouttypes.h" line="270"/>
+        <location filename="../libs/libmythtv/videoouttypes.h" line="274"/>
         <source>Half</source>
         <translation>Ήμισυ</translation>
     </message>
     <message>
-        <location filename="../libs/libmythtv/videoouttypes.h" line="271"/>
+        <location filename="../libs/libmythtv/videoouttypes.h" line="275"/>
         <source>Full</source>
         <translation>Πλήρης</translation>
     </message>
     <message>
-        <location filename="../libs/libmythtv/videoouttypes.h" line="273"/>
+        <location filename="../libs/libmythtv/videoouttypes.h" line="277"/>
         <source>H.Stretch</source>
         <translation>Οριζόντια Προέκταση</translation>
     </message>
     <message>
-        <location filename="../libs/libmythtv/videoouttypes.h" line="275"/>
+        <location filename="../libs/libmythtv/videoouttypes.h" line="279"/>
         <source>V.Stretch</source>
         <translation>Κάθετη Προέκταση</translation>
     </message>
     <message>
-        <location filename="../libs/libmythtv/videoouttypes.h" line="277"/>
+        <location filename="../libs/libmythtv/videoouttypes.h" line="281"/>
         <source>V.Fill</source>
         <translation>Κάθετο Γέμισμα</translation>
     </message>
     <message>
-        <location filename="../libs/libmythtv/videoouttypes.h" line="279"/>
+        <location filename="../libs/libmythtv/videoouttypes.h" line="283"/>
         <source>H.Fill</source>
         <translation>Οριζόντιο Γέμισμα</translation>
     </message>
     <message>
-        <location filename="../libs/libmythtv/videoouttypes.h" line="284"/>
+        <location filename="../libs/libmythtv/videoouttypes.h" line="288"/>
         <source>Auto Detect (Default Off)</source>
         <translation>Αυτόματα (Προεπιλογή Όχι)</translation>
     </message>
     <message>
-        <location filename="../libs/libmythtv/videoouttypes.h" line="287"/>
+        <location filename="../libs/libmythtv/videoouttypes.h" line="291"/>
         <source>Auto Detect (Default Half)</source>
         <translation>Αυτόματα (Προεπιλογή Ήμισυ)</translation>
     </message>
     <message>
-        <location filename="../libs/libmythtv/videoouttypes.h" line="310"/>
+        <location filename="../libs/libmythtv/videoouttypes.h" line="314"/>
         <source>Studio Levels</source>
         <translation>Χρωματισμοί Στούντιο</translation>
     </message>
     <message>
-        <location filename="../libs/libmythtv/videoouttypes.h" line="312"/>
+        <location filename="../libs/libmythtv/videoouttypes.h" line="316"/>
         <source>Volume</source>
         <translation>Ένταση</translation>
     </message>
@@ -19082,29 +19153,29 @@ Your grabber does not provide channel numbers, so you have to set them manually.
         <translation>Όνομα πηγής σήματος</translation>
     </message>
     <message>
-        <location filename="../libs/libmythtv/videosource.h" line="838"/>
+        <location filename="../libs/libmythtv/videosource.h" line="859"/>
         <source>Starting channel</source>
         <translation>Κανάλι Εκκίνησης</translation>
     </message>
     <message>
-        <location filename="../libs/libmythtv/videosource.h" line="839"/>
+        <location filename="../libs/libmythtv/videosource.h" line="860"/>
         <source>Starting Live TV channel.</source>
         <translation>Αυτό θα δείχνει στην εκκίνηση η Ζωντανή TV.</translation>
     </message>
     <message>
-        <location filename="../libs/libmythtv/videosource.h" line="840"/>
+        <location filename="../libs/libmythtv/videosource.h" line="861"/>
         <source>This is updated on every successful channel change.</source>
         <translation>Ανανεώνεται με κάθε επιτυχημένη αλλαγή καναλιού.</translation>
     </message>
     <message>
         <location filename="../libs/libmythtv/channelinfo.cpp" line="280"/>
-        <location filename="../libs/libmythtv/recordingprofile.cpp" line="1022"/>
+        <location filename="../libs/libmythtv/recordingprofile.cpp" line="1288"/>
         <source>Yes</source>
         <translation>Ναι</translation>
     </message>
     <message>
         <location filename="../libs/libmythtv/channelinfo.cpp" line="280"/>
-        <location filename="../libs/libmythtv/recordingprofile.cpp" line="1023"/>
+        <location filename="../libs/libmythtv/recordingprofile.cpp" line="1289"/>
         <source>No</source>
         <translation>Όχι</translation>
     </message>
@@ -19358,86 +19429,86 @@ Your grabber does not provide channel numbers, so you have to set them manually.
     </message>
     <message>
         <location filename="../libs/libmyth/recordingtypes.cpp" line="184"/>
-        <location filename="../programs/mythfrontend/scheduleeditor.cpp" line="2123"/>
+        <location filename="../programs/mythfrontend/scheduleeditor.cpp" line="2124"/>
         <source>Record new episodes only</source>
         <translation>Εγγραφή μόνο νέων επεισοδίων</translation>
     </message>
     <message>
-        <location filename="../programs/mythfrontend/scheduleeditor.cpp" line="2094"/>
+        <location filename="../programs/mythfrontend/scheduleeditor.cpp" line="2095"/>
         <source>Use any available input</source>
         <translation>Χρήση κάθε διαθέσιμης εισόδου</translation>
     </message>
     <message>
-        <location filename="../programs/mythfrontend/scheduleeditor.cpp" line="2101"/>
+        <location filename="../programs/mythfrontend/scheduleeditor.cpp" line="2102"/>
         <source>Prefer input %1</source>
         <translation>Προτίμηση εισόδου %1</translation>
     </message>
     <message>
-        <location filename="../programs/mythfrontend/scheduleeditor.cpp" line="2120"/>
+        <location filename="../programs/mythfrontend/scheduleeditor.cpp" line="2121"/>
         <source>Record new and repeat episodes</source>
         <translation>Εγγραφή νέων και επαναληπτικών επεισοδίων</translation>
     </message>
     <message>
-        <location filename="../programs/mythfrontend/scheduleeditor.cpp" line="2417"/>
+        <location filename="../programs/mythfrontend/scheduleeditor.cpp" line="2418"/>
         <source>Record using the %1 profile</source>
         <translation>Εγγραφή με χρήση του προτύπου %1</translation>
     </message>
     <message>
-        <location filename="../programs/mythfrontend/scheduleeditor.cpp" line="2424"/>
+        <location filename="../programs/mythfrontend/scheduleeditor.cpp" line="2425"/>
         <source>LiveTV</source>
         <translation>Ζωντανή TV</translation>
     </message>
     <message>
-        <location filename="../programs/mythfrontend/scheduleeditor.cpp" line="2427"/>
+        <location filename="../programs/mythfrontend/scheduleeditor.cpp" line="2428"/>
         <source>High Quality</source>
         <translation>Υψηλής Ποιότητας</translation>
     </message>
     <message>
-        <location filename="../programs/mythfrontend/scheduleeditor.cpp" line="2430"/>
+        <location filename="../programs/mythfrontend/scheduleeditor.cpp" line="2431"/>
         <source>Low Quality</source>
         <translation>Χαμηλής Ποιότητας</translation>
     </message>
     <message>
-        <location filename="../programs/mythfrontend/scheduleeditor.cpp" line="2441"/>
-        <location filename="../programs/mythfrontend/scheduleeditor.cpp" line="2652"/>
+        <location filename="../programs/mythfrontend/scheduleeditor.cpp" line="2442"/>
+        <location filename="../programs/mythfrontend/scheduleeditor.cpp" line="2653"/>
         <source>Include in the &quot;%1&quot; recording group</source>
         <translation>Να περιληφθεί στην ομάδα εγγραφών &quot;%1&quot;</translation>
     </message>
     <message>
-        <location filename="../programs/mythfrontend/scheduleeditor.cpp" line="2443"/>
+        <location filename="../programs/mythfrontend/scheduleeditor.cpp" line="2444"/>
         <source>Create a new recording group</source>
         <translation>Δημιουργία νέας ομάδας εγγραφής</translation>
     </message>
     <message>
-        <location filename="../programs/mythfrontend/scheduleeditor.cpp" line="2473"/>
+        <location filename="../programs/mythfrontend/scheduleeditor.cpp" line="2474"/>
         <source>Store in the &quot;%1&quot; storage group</source>
         <translation>Αποθήκευση στην ομάδα αποθήκευσης &quot;%1&quot;</translation>
     </message>
     <message>
-        <location filename="../programs/mythfrontend/scheduleeditor.cpp" line="2494"/>
+        <location filename="../programs/mythfrontend/scheduleeditor.cpp" line="2495"/>
         <source>Use &quot;%1&quot; playback group settings</source>
         <translation>Χρήση των ρυθμίσεων της ομάδας προβολής &quot;%1&quot;</translation>
     </message>
     <message>
-        <location filename="../programs/mythfrontend/scheduleeditor.cpp" line="2527"/>
+        <location filename="../programs/mythfrontend/scheduleeditor.cpp" line="2528"/>
         <source>Don&apos;t record if this would exceed the max episodes</source>
         <translation>Να μην γραφτεί αν ξεπεραστεί ο μέγιστος αριθμός επεισοδίων</translation>
     </message>
     <message>
-        <location filename="../programs/mythfrontend/scheduleeditor.cpp" line="2530"/>
+        <location filename="../programs/mythfrontend/scheduleeditor.cpp" line="2531"/>
         <source>Delete oldest if this would exceed the max episodes</source>
         <translation>Διαγραφή του παλαιότερου αν ξεπεραστεί ο μέγιστος αριθμός επεισοδίων</translation>
     </message>
     <message>
-        <location filename="../programs/mythfrontend/scheduleeditor.cpp" line="2629"/>
+        <location filename="../programs/mythfrontend/scheduleeditor.cpp" line="2630"/>
         <source>New Recording group name: </source>
         <translation>Όνομα Νέας ομάδας Εγγραφών: </translation>
     </message>
     <message>
-        <location filename="../programs/mythfrontend/scheduleeditor.cpp" line="2788"/>
-        <location filename="../programs/mythfrontend/scheduleeditor.cpp" line="2802"/>
-        <location filename="../programs/mythfrontend/scheduleeditor.cpp" line="2816"/>
-        <location filename="../programs/mythfrontend/scheduleeditor.cpp" line="2830"/>
+        <location filename="../programs/mythfrontend/scheduleeditor.cpp" line="2789"/>
+        <location filename="../programs/mythfrontend/scheduleeditor.cpp" line="2803"/>
+        <location filename="../programs/mythfrontend/scheduleeditor.cpp" line="2817"/>
+        <location filename="../programs/mythfrontend/scheduleeditor.cpp" line="2831"/>
         <source>Run &apos;%1&apos;</source>
         <translation>Εκτέλεση &apos;%1&apos;</translation>
     </message>
